Create App
https://sandbox-api.akoya.com/manage/{version}/apps/register
Creates an application. This endpoint automatically subscribes the created app to all valid providers.
client_name should be alphanumeric and may include special characters: #$&'()\*+,-./|-é.. client_name needs to be unique. You cannot create two applications with the same client_name.
logo_uri must be a URL to a file (Required).
Minimum height: 200px
Minimum width: 200px
Maximum height: 1080px
Maximum width: 1080px
File types: transparent PNG or JPG
Maximum file size: 2 MB
icon_uri must be a URL to a file (Optional).
Must be square.
Height = width.
Minimum height: 40px
Minimum width: 40px
Maximum height: 200px
Maximum width: 200px
File types: transparent PNG or JPG
Maximum file size: 2 MB
scope: Products this app will use. This product list needs to be provided as a string where the products are space-separated. You should include at least one product in addition to Account Information.
Path Parameters
version*
stringManagement API major version (e.g. v2)
Body Params
client_name*
string
description*
string
redirect_uris*
array
logo_uri*
string
icon_url
string
contacts*
array
client_uri*
string
scope*
string
Responses
200
OK
Response Body
client_id
string
client_secret
string
client_name
string
redirect_uris
array of strings
string
client_uri
string
contacts
array of strings
string
description
string
logo_uri
string
icon_url
string
scope
string
grant_types
array of strings
string
status
string
Headers
Content-Typestring
X-Akoya-Interaction-Idstring
400
Invalid Argument
Response Body
code
string
message
string
Headers
Content-Typestring
X-Akoya-Interaction-Idstring
409
Already Exists
Response Body
code
string
message
string
Headers
Content-Typestring
X-Akoya-Interaction-Idstring